aboutsummaryrefslogtreecommitdiffstats
path: root/testing/dcron/dcron.initd
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2015-09-28 15:54:39 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2015-09-28 15:54:39 +0200
commitc87453388fd46eaa8db5bad0b17632383567c359 (patch)
treef035a48222d02ffae5c8f785fa8a190b4c9360b4 /testing/dcron/dcron.initd
parent41d8142af0dc8fbf10385b5bd80fb3b6c8813800 (diff)
downloadaports-c87453388fd46eaa8db5bad0b17632383567c359.tar.bz2
aports-c87453388fd46eaa8db5bad0b17632383567c359.tar.xz
testing/dcron: new aport
Diffstat (limited to 'testing/dcron/dcron.initd')
-rw-r--r--testing/dcron/dcron.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/dcron/dcron.initd b/testing/dcron/dcron.initd
new file mode 100644
index 0000000000..087c2783ab
--- /dev/null
+++ b/testing/dcron/dcron.initd
@@ -0,0 +1,24 @@
+#!/sbin/openrc-run
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-process/dcron/files/dcron.init-4.5,v 1.1 2011/05/16 20:28:54 vapier Exp $
+
+depend() {
+ use logger clock hostname
+ provide cron
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ /usr/sbin/crond ${DCRON_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/crond.pid --exec /usr/sbin/crond
+ local ret=$?
+ rm -f /var/run/crond.pid
+ eend ${ret}
+}